Bug 1007127 - [abrt] tuxmath-2.0.1-4.fc19: __strlen_sse2: Process /usr/bin/tuxmath was killed by signal 11 (SIGSEGV)
[abrt] tuxmath-2.0.1-4.fc19: __strlen_sse2: Process /usr/bin/tuxmath was kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tuxmath (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:ffff0400050b9faf0bcf52763d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 21:05 EDT by Michael Schechter
Modified: 2015-02-18 06:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.83 KB, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: core_backtrace (3.32 KB, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: dso_list (8.13 KB, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: environ (1.35 KB, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: maps (43.69 KB, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: open_fds (124 bytes, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details
File: var_log_messages (226 bytes, text/plain)
2013-09-11 21:05 EDT, Michael Schechter
no flags Details

  None (edit)
Description Michael Schechter 2013-09-11 21:05:30 EDT
Description of problem:
Playing TuxMath

Version-Release number of selected component:
tuxmath-2.0.1-4.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        tuxmath
crash_function: __strlen_sse2
executable:     /usr/bin/tuxmath
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1002

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 __strlen_sse2 at ../sysdeps/x86_64/strlen.S:31
 #1 __strdup at strdup.c:41
 #2 read_named_config_file at fileops.c:332
 #3 run_academy at menu.c:259
 #4 handle_activity at menu.c:142
 #5 T4K_RunMenu at t4k_menu.c:933
 #6 run_menu at menu.c:111
 #7 RunMainMenu at menu.c:755
 #8 TitleScreen at titlescreen.c:306
Comment 1 Michael Schechter 2013-09-11 21:05:33 EDT
Created attachment 796586 [details]
File: backtrace
Comment 2 Michael Schechter 2013-09-11 21:05:36 EDT
Created attachment 796587 [details]
File: cgroup
Comment 3 Michael Schechter 2013-09-11 21:05:38 EDT
Created attachment 796588 [details]
File: core_backtrace
Comment 4 Michael Schechter 2013-09-11 21:05:41 EDT
Created attachment 796589 [details]
File: dso_list
Comment 5 Michael Schechter 2013-09-11 21:05:43 EDT
Created attachment 796590 [details]
File: environ
Comment 6 Michael Schechter 2013-09-11 21:05:46 EDT
Created attachment 796591 [details]
File: limits
Comment 7 Michael Schechter 2013-09-11 21:05:49 EDT
Created attachment 796592 [details]
File: maps
Comment 8 Michael Schechter 2013-09-11 21:05:51 EDT
Created attachment 796593 [details]
File: open_fds
Comment 9 Michael Schechter 2013-09-11 21:05:54 EDT
Created attachment 796594 [details]
File: proc_pid_status
Comment 10 Michael Schechter 2013-09-11 21:05:56 EDT
Created attachment 796595 [details]
File: var_log_messages
Comment 11 Gwyn Ciesla 2013-09-12 09:31:11 EDT
Is there any particular type of game or activity that triggers this?
Comment 12 Michael Schechter 2013-09-28 15:55:33 EDT
My apologies for the delay.

I just got it to crash by the following process:
- Used the games menu to pick a couple of different addition games (sums to 15, adding positives to negatives), navigating back and forth through the games menu between sessions; both game sessions completed successfully
- Played Factoroids once, game ended abruptly (Enter on numeric keypad was pressed)
- Played Factoroids again, again the game ended when the numeric keypad's Enter key was pressed
- Played Factoroids a third time; used "D" to change the prime number; used up/down to move the ship much more than in previous games
- Crashed

ABRT is in the process of creating a new crash report; I will cross-reference it here if the duplication is not detected.

NOTE: My son also reports that it will consistently crash playing "Math Command Fleet Missions", and we think that may be related to the initial report.

Hope this helps!
Comment 13 Fedora End Of Life 2015-01-09 17:17:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-18 06:26:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.